Page MenuHomePhabricator

[Pre-deployment bug] Adding an external link makes the edit card go away once it comes back to the document unlike other cases making it an inconsistent experience
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Open VE on our prototype server.
  2. Add an intra wiki link or modify an existing link
  3. Now add an external link.

Observe that, after step 2 the Edit card stays in the view after getting back to the main page, but after step 3 it goes away. I feel the behavior should be consistent through out different cases? Open to other suggestions/ reasoning behind this difference.

Event Timeline

Ryasmeen created this task.Jul 9 2019, 11:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2019, 11:26 PM

I can't reproduce this. I see the edit card after adding an external link on Android Chrome and iOS Safari.

@Esanders, here is a screen capture if that helps:

Oh, I see, you inserted an external link with no text selected so you got the magic labelless numbered link node ([http://google.com] in wikitext).

That is a bit of an edge case so I wouldn't be too worried about that right now.

Change 526551 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ui.AnnotationInspector: Select inserted elements (not text) after inserting

https://gerrit.wikimedia.org/r/526551

matmarex moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 526551 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ui.AnnotationInspector: Select inserted elements (not text) after inserting

https://gerrit.wikimedia.org/r/526551

Change 527600 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (6f2206ee2)

https://gerrit.wikimedia.org/r/527600

Change 527600 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (0de28ce64)

https://gerrit.wikimedia.org/r/527600

matmarex moved this task from Inbox to High Priority on the Editing QA board.Aug 9 2019, 4:55 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Aug 20 2019, 2:52 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 3 2019, 1:28 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 3 2019, 1:28 AM